From 4badb867bbffbd66762c150258b37b6c0b7e3c22 Mon Sep 17 00:00:00 2001
From: Rex Dieter <rdieter@gmail.com>
Date: Wed, 18 Feb 2015 07:17:22 -0600
Subject: Configure: Fix detection of GCC 5
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

- Backport qt5 commit 9fb4c2c412621b63c06dbbd899f44041b2e126c2
- fix webkit feature enablement
- set QT_BUILD_KEY (same as gcc4), Qt5 has no QT_BUILD_KEY so no
  change there is necessary

Change-Id: Ie131be711a774052bc42f18e8090b2a3dde69475
Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
Reviewed-by: Dmitry Shachnev <mitya57@gmail.com>
Reviewed-by: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
---
 configure | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/configure b/configure
index f3a800a..4144400 100755
--- a/configure
+++ b/configure
@@ -7729,7 +7729,7 @@ case "$XPLATFORM" in
     *-g++*)
 	# Check gcc's version
 	case "$(${QMAKE_CONF_COMPILER} -dumpversion)" in
-	    4*|3.4*)
+	    5*|4*|3.4*)
 		;;
             3.3*)
                 canBuildWebKit="no"
@@ -8031,6 +8031,11 @@ g++*)
         QT_GCC_MINOR_VERSION=`echo $COMPILER_VERSION | sed 's,^\([0-9]*\)\.\([0-9]*\).*,\2,'`
         QT_GCC_PATCH_VERSION=0
         ;;
+    *)
+        QT_GCC_MAJOR_VERSION=$COMPILER_VERSION
+        QT_GCC_MINOR_VERSION=0
+        QT_GCC_PATCH_VERSION=0
+        ;;
     esac
 
     case "$COMPILER_VERSION" in
@@ -8040,7 +8045,7 @@ g++*)
     3.*)
         COMPILER_VERSION="3.*"
         ;;
-    4.*)
+    5*|4.*)
         COMPILER_VERSION="4"
         ;;
     *)
-- 
cgit v0.11.0

